DROP TABLE CRST_FND_ASSIGNMENT;

CREATE TABLE CRST_FND_ASSIGNMENT (
  ASSIGNMENT_ID                   NUMBER(10),
  EFFECTIVE_START_DATE            DATE,
  EFFECTIVE_END_DATE              DATE,
  BUSINESS_GROUP_ID               NUMBER(15),
  RECRUITER_ID                    NUMBER(10),
  GRADE_ID                        NUMBER(15),
  POSITION_ID                     NUMBER(15),
  JOB_ID                          NUMBER(15),
  ASSIGNMENT_STATUS_TYPE_ID       NUMBER(9),
  PAYROLL_ID                      NUMBER(9),
  LOCATION_ID                     NUMBER(15),
  PERSON_REFERRED_BY_ID           NUMBER(10),
  SUPERVISOR_ID                   NUMBER(10),
  SPECIAL_CEILING_STEP_ID         NUMBER(15),
  PERSON_ID                       NUMBER(10),
  RECRUITMENT_ACTIVITY_ID         NUMBER(15),
  SOURCE_ORGANIZATION_ID          NUMBER(15),
  ORGANIZATION_ID                 NUMBER(15),
  PEOPLE_GROUP_ID                 NUMBER(15),
  SOFT_CODING_KEYFLEX_ID          NUMBER(15),
  VACANCY_ID                      NUMBER(15),
  PAY_BASIS_ID                    NUMBER(9),
  ASSIGNMENT_SEQUENCE             NUMBER(15),
  ASSIGNMENT_TYPE                 VARCHAR2(1),
  PRIMARY_FLAG                    VARCHAR2(30),
  APPLICATION_ID                  NUMBER(15),
  ASSIGNMENT_NUMBER               VARCHAR2(30),
  CHANGE_REASON                   VARCHAR2(30),
  COMMENT_ID                      NUMBER(15),
  DATE_PROBATION_END              DATE,
  DEFAULT_CODE_COMB_ID            NUMBER(15),
  EMPLOYMENT_CATEGORY             VARCHAR2(30),
  FREQUENCY                       VARCHAR2(30),
  INTERNAL_ADDRESS_LINE           VARCHAR2(80),
  MANAGER_FLAG                    VARCHAR2(30),
  NORMAL_HOURS                    NUMBER(22,3),
  PERF_REVIEW_PERIOD              NUMBER(15),
  PERF_REVIEW_PERIOD_FREQUENCY    VARCHAR2(30),
  PERIOD_OF_SERVICE_ID            NUMBER(15),
  PROBATION_PERIOD                NUMBER(22,2),
  PROBATION_UNIT                  VARCHAR2(30),
  SAL_REVIEW_PERIOD               NUMBER(15),
  SAL_REVIEW_PERIOD_FREQUENCY     VARCHAR2(30),
  SET_OF_BOOKS_ID                 NUMBER(15),
  SOURCE_TYPE                     VARCHAR2(30),
  TIME_NORMAL_FINISH              VARCHAR2(5),
  TIME_NORMAL_START               VARCHAR2(5),
  BARGAINING_UNIT_CODE            VARCHAR2(30),
  LABOUR_UNION_MEMBER_FLAG        VARCHAR2(30),
  HOURLY_SALARIED_CODE            VARCHAR2(30),
  CONTRACT_ID                     NUMBER(9),
  COLLECTIVE_AGREEMENT_ID         NUMBER(9),
  CAGR_ID_FLEX_NUM                NUMBER(15),
  CAGR_GRADE_DEF_ID               NUMBER(15),
  ESTABLISHMENT_ID                NUMBER(15),
  REQUEST_ID                      NUMBER(15),
  PROGRAM_APPLICATION_ID          NUMBER(15),
  PROGRAM_ID                      NUMBER(15),
  PROGRAM_UPDATE_DATE             DATE,
  ASS_ATTRIBUTE_CATEGORY          VARCHAR2(30),
  ASS_ATTRIBUTE1                  VARCHAR2(150),
  ASS_ATTRIBUTE2                  VARCHAR2(150),
  ASS_ATTRIBUTE3                  VARCHAR2(150),
  ASS_ATTRIBUTE4                  VARCHAR2(150),
  ASS_ATTRIBUTE5                  VARCHAR2(150),
  ASS_ATTRIBUTE6                  VARCHAR2(150),
  ASS_ATTRIBUTE7                  VARCHAR2(150),
  ASS_ATTRIBUTE8                  VARCHAR2(150),
  ASS_ATTRIBUTE9                  VARCHAR2(150),
  ASS_ATTRIBUTE10                 VARCHAR2(150),
  ASS_ATTRIBUTE11                 VARCHAR2(150),
  ASS_ATTRIBUTE12                 VARCHAR2(150),
  ASS_ATTRIBUTE13                 VARCHAR2(150),
  ASS_ATTRIBUTE14                 VARCHAR2(150),
  ASS_ATTRIBUTE15                 VARCHAR2(150),
  ASS_ATTRIBUTE16                 VARCHAR2(150),
  ASS_ATTRIBUTE17                 VARCHAR2(150),
  ASS_ATTRIBUTE18                 VARCHAR2(150),
  ASS_ATTRIBUTE19                 VARCHAR2(150),
  ASS_ATTRIBUTE20                 VARCHAR2(150),
  ASS_ATTRIBUTE21                 VARCHAR2(150),
  ASS_ATTRIBUTE22                 VARCHAR2(150),
  ASS_ATTRIBUTE23                 VARCHAR2(150),
  ASS_ATTRIBUTE24                 VARCHAR2(150),
  ASS_ATTRIBUTE25                 VARCHAR2(150),
  ASS_ATTRIBUTE26                 VARCHAR2(150),
  ASS_ATTRIBUTE27                 VARCHAR2(150),
  ASS_ATTRIBUTE28                 VARCHAR2(150),
  ASS_ATTRIBUTE29                 VARCHAR2(150),
  ASS_ATTRIBUTE30                 VARCHAR2(150),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(15),
  CREATED_BY                      NUMBER(15),
  CREATION_DATE                   DATE,
  TITLE                           VARCHAR2(30),
  OBJECT_VERSION_NUMBER           NUMBER(9),
  NOTICE_PERIOD                   NUMBER(10),
  NOTICE_PERIOD_UOM               VARCHAR2(30),
  EMPLOYEE_CATEGORY               VARCHAR2(30),
  WORK_AT_HOME                    VARCHAR2(30),
  JOB_POST_SOURCE_NAME            VARCHAR2(240),
  POSTING_CONTENT_ID              NUMBER(15),
  PERIOD_OF_PLACEMENT_DATE_START  DATE,
  VENDOR_ID                       NUMBER(15),
  VENDOR_EMPLOYEE_NUMBER          VARCHAR2(30),
  VENDOR_ASSIGNMENT_NUMBER        VARCHAR2(30),
  ASSIGNMENT_CATEGORY             VARCHAR2(30),
  PROJECT_TITLE                   VARCHAR2(30),
  APPLICANT_RANK                  NUMBER,
  DUMMY                           CHAR(1),
  BG_NAME                         VARCHAR2(100),
  ASS_JOB_NAME                    VARCHAR2(100),
  ASS_USER_STATUS                 VARCHAR2(100),
  ASS_LOCATION_CODE               VARCHAR2(100),
  ASS_SUP_EMP_NUMBER              VARCHAR2(100),
  ASS_EMP_NUMBER                  VARCHAR2(100),
  ASS_ORG_NAME                    VARCHAR2(100),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  CREATED_BY_NAME                 VARCHAR2(100)
);
